from typing import List
from openai import OpenAI
import os
def get_embeddings(embedding_texts: List[str]):
        response = OpenAI(
            api_key=os.getenv("OPENAI_API_KEY","EMPTY"),
            base_url=os.getenv("OPENAI_API_EMBEDDING_BASE","http://172.18.30.122:40060/v1"),
            ).embeddings.create(
            model=os.getenv("OPENAI_EMBEDDING_MODEL","bge-m3"),
            input=embedding_texts,
        )
        emebdding_list = response.data[0].embedding
        return emebdding_list

print(get_embeddings(["你好","世界"]))